---

groups:
- name: bufr_sort
  rules:
{% if bufr_sort_alert_age_hours > 0 %}

  - alert: OutdatedBufrByName
    expr: (time() - devcoop_bufr_sort_latest_name_timestamp) / 3600 > {{ bufr_sort_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated {{ "{{" }} $labels.group {{ "}}" }} BUFR files by name
      description: "Latest {{ "{{" }} $labels.group {{ "}}" }} BUFR file by name is more than {{ bufr_sort_alert_age_hours }} hours old."

  - alert: OutdatedBufrByTime
    expr: (time() - devcoop_bufr_sort_latest_mtime_timestamp) / 3600 > {{ bufr_sort_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated {{ "{{" }} $labels.group {{ "}}" }} BUFR files by modification time
      description: "Latest {{ "{{" }} $labels.group {{ "}}" }} BUFR file by modification time is more than {{ bufr_sort_alert_age_hours }} hours old."
{% endif %}
